Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 192838 - Abiword crashes when in document
Abiword crashes when in document
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: abiword (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marc Maurer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-23 11:10 EDT by Peter Robinson
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-15 06:53:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2006-05-23 11:10:03 EDT
Description of problem:

Open a document (not sure if its specific to this document) and wait a while and
abiword just crashes.

Version-Release number of selected component (if applicable):
1:2.4.4-4.fc5

How reproducible:
Every time with this doc 

Steps to Reproduce:
1. Open Doc
2. Wait
3. abiword crashes.
  
Actual results:


Expected results:


Additional info:

Crash output below. If you need exatra debuginfo packages let me know.

Backtrace was generated from '/usr/bin/AbiWord-2.4'

Using host libthread_db library "/lib/libthread_db.so.1".
`shared object read from target memory' has disappeared; keeping its symbols.
[Thread debugging using libthread_db enabled]
[New Thread -1208895792 (LWP 11614)]
0x00bdf402 in __kernel_vsyscall ()
#0  0x00bdf402 in __kernel_vsyscall ()
#1  0x00d7fba3 in __waitpid_nocancel () from /lib/libpthread.so.0
#2  0x07448e26 in gnome_gtk_module_info_get () from /usr/lib/libgnomeui-2.so.0
#3  <signal handler called>
#4  0x00bdf402 in __kernel_vsyscall ()
#5  0x00c24ee9 in raise () from /lib/libc.so.6
#6  0x00c264f1 in abort () from /lib/libc.so.6
#7  0x00c598bb in __libc_message () from /lib/libc.so.6
#8  0x00cd91b1 in __chk_fail () from /lib/libc.so.6
#9  0x00cd8939 in __strncpy_chk () from /lib/libc.so.6
#10 0x05e4de99 in linkage_print_diagram () from /usr/lib/liblink-grammar.so.4
#11 0x05e34c07 in sentence_create () from /usr/lib/liblink-grammar.so.4
#12 0x01fb934f in LinkGrammarWrap::parseSentence (this=0x9f2a688, 
    pT=0x9e692e8) at LinkGrammarWrap.cpp:74
#13 0x01fb8757 in Abi_GrammarCheck::CheckBlock (this=0x93b8a68, pB=0x9e69560)
    at AbiGrammarCheck.cpp:105
#14 0x01fb7f72 in AbiGrammar::notify (this=0x93b8a50, pAView=0x9646e08, 
    mask=131072, pPrivateData=0x9e69560) at AbiGrammar.cpp:108
#15 0x082216d9 in XAP_App::notifyListeners (this=0x92da148, pView=0x9646e08, 
    hint=131072, pPrivateData=0x9e69560) at xap_App.cpp:533
#16 0x082c9821 in FL_DocLayout::_backgroundCheck (pWorker=0x97c7800)
    at fl_DocLayout.cpp:2442
#17 0x08262041 in _Timer_Proc (p=0x97c7800) at ut_unixTimer.cpp:64
#18 0x00126876 in g_source_get_current_time () from /usr/lib/libglib-2.0.so.0
#19 0x0012615d in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#20 0x001293ef in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#21 0x00129799 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#22 0x005b65d4 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#23 0x0813febc in AP_UnixApp::main (szAppName=0x83ec9e3 "AbiWord", argc=2, 
    argv=0xbf83ff44) at ap_UnixApp.cpp:1531
#24 0x0813bb3a in main (argc=) at UnixMain.cpp:26

Thread 1 (Thread -1208895792 (LWP 11614)):
#0  0x00bdf402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00d7fba3 in __waitpid_nocancel () from /lib/libpthread.so.0
No symbol table info available.
#2  0x07448e26 in gnome_gtk_module_info_get () from /usr/lib/libgnomeui-2.so.0
No symbol table info available.
#3  <signal handler called>
No symbol table info available.
#4  0x00bdf402 in __kernel_vsyscall ()
No symbol table info available.
#5  0x00c24ee9 in raise () from /lib/libc.so.6
No symbol table info available.
#6  0x00c264f1 in abort () from /lib/libc.so.6
No symbol table info available.
#7  0x00c598bb in __libc_message () from /lib/libc.so.6
No symbol table info available.
#8  0x00cd91b1 in __chk_fail () from /lib/libc.so.6
No symbol table info available.
#9  0x00cd8939 in __strncpy_chk () from /lib/libc.so.6
No symbol table info available.
#10 0x05e4de99 in linkage_print_diagram () from /usr/lib/liblink-grammar.so.4
No symbol table info available.
#11 0x05e34c07 in sentence_create () from /usr/lib/liblink-grammar.so.4
No symbol table info available.
#12 0x01fb934f in LinkGrammarWrap::parseSentence (this=0x9f2a688, 
    pT=0x9e692e8) at LinkGrammarWrap.cpp:74
	sent = 0x9e73ca8
	num_linkages =
Comment 1 Marc Maurer 2006-05-23 11:18:38 EDT
Please attach the offending document
Comment 2 Marc Maurer 2006-07-15 06:53:54 EDT
This is upstream bug 9687 (http://bugzilla.abisource.com/show_bug.cgi?id=9687),
moving the discussion there

Note You need to log in before you can comment on or make changes to this bug.